Bug 1275815 - [abrt] blivet-gui: decimal.InvalidOperation: [<class 'decimal.DivisionUndefined'>]
[abrt] blivet-gui: decimal.InvalidOperation: [<class 'decimal.DivisionUndefin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:677ccc6c3e504c766a235037764...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 16:07 EDT by pzeppegno
Modified: 2015-11-05 18:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 09:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1002 bytes, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details
File: blivet-gui-com.log.0 (49.77 KB, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details
File: blivet-gui-tb (193.85 KB, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details
File: blivet.log (126.84 KB, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details
File: description (1.06 KB, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details
File: environ (1.09 KB, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details
File: program.log (15.73 KB, text/plain)
2015-10-27 16:07 EDT, pzeppegno
no flags Details

  None (edit)
Description pzeppegno 2015-10-27 16:07:34 EDT
Description of problem:
clicked on one disk component of my raid5 array

Version-Release number of selected component:
blivet-gui-1.0.1-1.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
blivet-gui.log: 
cmdline:        /usr/bin/python3  /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.2.3-300.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           Python
version:        23

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/blivetgui/list_devices.py", line 191, in on_disk_selection_changed
    self.blivet_gui.update_partitions_view()
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 165, in update_partitions_view
    self.logical_view.visualize_devices(self.list_partitions.partitions_list)
  File "/usr/lib/python3.4/site-packages/blivetgui/visualization/logical_view.py", line 58, in visualize_devices
    rect_widths = self._compute_rect_widths()
  File "/usr/lib/python3.4/site-packages/blivetgui/visualization/logical_view.py", line 146, in _compute_rect_widths
    self._allocate_remaining_space(treeiter, self._view_width, allocated_width, width_dict)
  File "/usr/lib/python3.4/site-packages/blivetgui/visualization/logical_view.py", line 180, in _allocate_remaining_space
    extra_space = int(remaining_space * (device.size.convertTo() / total_size))
decimal.InvalidOperation: [<class 'decimal.DivisionUndefined'>]
Comment 1 pzeppegno 2015-10-27 16:07:38 EDT
Created attachment 1087001 [details]
File: backtrace
Comment 2 pzeppegno 2015-10-27 16:07:41 EDT
Created attachment 1087002 [details]
File: blivet-gui-com.log.0
Comment 3 pzeppegno 2015-10-27 16:07:43 EDT
Created attachment 1087003 [details]
File: blivet-gui-tb
Comment 4 pzeppegno 2015-10-27 16:07:46 EDT
Created attachment 1087004 [details]
File: blivet.log
Comment 5 pzeppegno 2015-10-27 16:07:48 EDT
Created attachment 1087005 [details]
File: description
Comment 6 pzeppegno 2015-10-27 16:07:49 EDT
Created attachment 1087006 [details]
File: environ
Comment 7 pzeppegno 2015-10-27 16:07:51 EDT
Created attachment 1087007 [details]
File: program.log
Comment 8 pzeppegno 2015-10-27 17:49:42 EDT
Please, note that this is entirely reproducible. I have never seen one version of blivet work on my box
Comment 9 Vojtech Trefny 2015-11-02 09:44:44 EST
The original problem here is that blivet thinks that size of your MDArray is 0 B. This actually is an mdadm issue -- https://bugzilla.redhat.com/show_bug.cgi?id=1083641

I have fixed the gui part -- blivet-gui now won't fail when trying to visualize devices with 0 size, but it won't be usable.

I'll try to find a workaround for this in blivet, but I'm not sure it will be possible to fix this outside mdadm.
Comment 10 pzeppegno 2015-11-05 18:58:36 EST
Can you please tell me how to check with mdadm that the size is 0? I have a single array, and its size is for sure not 0..

paolo@xxx 2100> sudo mdadm --detail /dev/md0
/dev/md0:
        Version : 1.2
  Creation Time : Sat Jun  2 16:24:45 2012
     Raid Level : raid5
     Array Size : 7814032384 (7452.04 GiB 8001.57 GB)
  Used Dev Size : 3907016192 (3726.02 GiB 4000.78 GB)
   Raid Devices : 3
  Total Devices : 3
    Persistence : Superblock is persistent

  Intent Bitmap : Internal

    Update Time : Fri Nov  6 00:57:08 2015
          State : clean 
 Active Devices : 3
Working Devices : 3
 Failed Devices : 0
  Spare Devices : 0

         Layout : left-symmetric
     Chunk Size : 512K

           Name : xxx.lan:0  (local to host xxx.lan)
           UUID : 28eb68c6:031e5851:c03c3b30:489dbd51
         Events : 325803

    Number   Major   Minor   RaidDevice State
       5       8       33        0      active sync   /dev/sdc1
       4       8       17        1      active sync   /dev/sdb1
       3       8       49        2      active sync   /dev/sdd1

Note You need to log in before you can comment on or make changes to this bug.